package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkProject;
import cn.wisenergy.model.dto.UserProjectDto;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkUserProjectService {

    /**
     * 功能：根据userId获取项目id
     * @param userId 用户id
     * @return 项目id
     */
    List<Integer> getProjectIdByUserId(Integer userId);

    List<WorkProject> getUserManageProject(Integer userId);

    /**
     * 根据项目id获取参与人数
     * @param projectId 项目id
     * @return dto
     */
    List<UserProjectDto> getUserProjectByProjectId(Integer projectId);

    Boolean deleteByProjectId(Integer projectId);

    Boolean insertBatch(List<Integer> userIds, Integer projectId);
}
